%define svndate 20100411
%define debug_package %{nil}

Name:           notify-sharp
Version:        0.4.0
Release:        0.11.%{svndate}svn%{?dist}
Summary:        A C# implementation for Desktop Notifications

Group:          System Environment/Libraries
License:        MIT
URL:            http://trac.galago-project.org/wiki/DesktopNotifications
#svn checkout, revision 3032. To reproduce tarball:
#svn co -r 3032  http://svn.galago-project.org/trunk/notify-sharp notify-sharp-20100411 && tar -cvjf notify-sharp-20100411.tar.bz2 notify-sharp-20100411
Source0:        %{name}-%{svndate}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel, gtk-sharp2-devel, gnome-sharp-devel, ndesk-dbus-glib-devel
BuildRequires:  autoconf, automake, libtool

BuildRequires:  monodoc-devel
ExcludeArch:    sparc64

%description
notify-sharp is a C# client implementation for Desktop Notifications,
i.e. notification-daemon. It is inspired by the libnotify API.

Desktop Notifications provide a standard way of doing passive pop-up
notifications on the Linux desktop. These are designed to notify the
user of something without interrupting their work with a dialog box
that they must close. Passive popups can automatically disappear after
a short period of time.

%package devel
Summary:        Development files for notify-sharp
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       pkgconfig

%description devel
Development files for notify-sharp

%package doc
Summary:        Documentation files for notify-sharp
Group:          Documentation
Requires:       %{name} = %{version}-%{release} 
Requires:       monodoc

%description doc
Documentation files for notify-sharp

%prep
%setup -qn %{name}-%{svndate}

sed -i -e 's!${exec_prefix}/lib!%{_libdir}!' notify-sharp.pc.in

%build
autoreconf --install
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README AUTHORS
%{_libdir}/mono/gac/notify-sharp/
%{_libdir}/mono/notify-sharp/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/notify-sharp.pc

%files doc
%defattr(-,root,root,-)
%{_libdir}/monodoc/sources/*

%changelog
* Sun Apr 11 2010 Christian Krause <chkr@fedoraproject.org> - 0.4.0-0.11.20100411svn
- Update to latest snapshot
- Fix minor directory ownership issue (BZ 512564)

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.4.0-0.10.20080912svn
- Switch to ExcludeArch sparc64 has no mono

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.4.0-0.9.20080912svn.1
- Rebuild to pick up ppc64 builds

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-0.8.20080912svn.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Karsten Hopp <karsten@redhat.com> 0.4.0-0.7.20080912svn.1
- mono is available on s390x

* Fri May 29 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.4.0-0.7.20080912svn
- Build arch ppc64.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-0.6.20080912svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 9 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org - 0.4.0-0.5.20080912svn
- Fix doc package dependencies. 

* Wed Sep 24 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org - 0.4.0-0.4.20080912svn
- Replace with simple sed line in spec
- Build documentation, add monodoc dependencies.

* Wed Sep 24 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org - 0.4.0-0.3.20080912svn
- Add patch to fix libdir on all arches.

* Mon Sep 22 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org - 0.4.0-0.2.20080912svn
- Update changelog
- Fix whitespace issues

* Fri Sep 12 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org - 0.4.0-0.1.20080912svn
- Redid svn checkout and tarball creation process
- Added autoreconfig shebang + autotools deps

* Sat May 31 2008 Nigel Jones <dev@nigelj.com> - 0.4.0-0.1.20080531svn
- Initial RPM based on David Nielsen's work on fedorapeople.org
